Subject: bug#52507: [PATCH] Option for vc-delete-file to keep file on disk

From: Ashwin Kafle <[email-masked]>
Date: Sun, 26 Dec 2021 17:03:23 +0000

Dmitry Gutov <[email-masked]> writes:

> On 26.12.2021 19:12, Ashwin Kafle wrote:
>>> All right.
>>>
>>> Well, it seems like it will add more cognitive load in the "common"
>>> scenario -- where you end up deleting the file you said you want to
>>> delete.
>>>
>>> And it will be a breaking change in the existing behavior/UI.
>> If you delete from disk it behaves exactly like how it's doing right
>> now.  The only difference should be when you delete and immediately
>> restore from backup and in that case, only vc-dir shows one extra file.
>> I don't think it brakes any existing behavior.
>
> But the file would stay around, right? That would be different.

Only if you give vc-delete-file a prefix argument, otherwise it'll be
exactly the same.  It will delete even if we use git rm --cached (because
it is checked later if the file exists anymore or not)

>
> And I was referring to the VC-Dir interface which would show new
> elements (additional entries for some files).

Only if the file is deleted in the index and has not been commited yet.